Bug 1029963 - Cannot navigate with tab key in the Updates pane when no updates are available
Cannot navigate with tab key in the Updates pane when no updates are available
Status: ASSIGNED
Product: Fedora
Classification: Fedora
Component: gnome-software (Show other bugs)
26
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
: Reopened, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-13 10:44 EST by redhat
Modified: 2017-02-28 04:35 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 06:35:05 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description redhat 2013-11-13 10:44:51 EST
Description of problem:
I can open Gnome Software and enter the 'Updates' section, just using the tab and enter keys. Once I'm in the 'Updates' section the tab key doesn't seem to do anything, in particular it doesn't change focus between the top buttons that give access to each section.

Version-Release number of selected component (if applicable):
Gnome Software 3.10.3

How reproducible:
Easily reproducible, every time.

Steps to Reproduce:
1. Open Gnome Software
2. Press tab key until focus is on the 'Updates' section button
3. Press the enter key to enter the 'Updates' section

Actual results:
Tab key is unresponsive when inside the 'Updates' section of Gnome Software.

Expected results:
Tab key should at least change the focus to each of the top buttons that allow access to the 'All' and 'Installed' sections.

Additional info:
Even if I navigate to the 'Updates' section using the mouse pointer, the tab key still doesn't work.
Comment 1 redhat 2013-11-13 10:48:38 EST
I forgot to mention, I'm currently suffering from another bug that doesn't show the updates on that section, so that could be related. For instance it's possible the tab behaviour is caused by the lack of content in that section, still, even without content the top buttons for the sections should be able to get focus.
Comment 2 Adam Williamson 2014-08-07 12:07:28 EDT
I can reproduce this with 3.10.4-2 in Fedora 20 and 3.13.4 in Fedora 21. It is indeed limited to the case where no updates are available: when updates are available, tabbing works. I believe this is purely a Software UI issue so it should be fixable for both 20 and 21+ (it doesn't require hawkey/PK/whatever changes).
Comment 3 Fedora End Of Life 2015-05-29 05:45:07 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2015-06-29 08:54:06 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 5 Fedora End Of Life 2016-07-19 06:35:05 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 6 Adam Williamson 2016-08-19 17:00:49 EDT
This is still valid (checked F25, but I think Rawhide will be the same).
Comment 7 Fedora End Of Life 2017-02-28 04:35:59 EST
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Note You need to log in before you can comment on or make changes to this bug.